import 'package:flutter/material.dart';
import 'package:loris/partials/post.dart';
import '../business_logic/timeline/timeline.dart' as logic;

class Thread extends StatelessWidget {
  const Thread({required this.model, Key? key}) : super(key: key);
  final logic.ThreadModel model;

  @override
  Widget build(BuildContext context) {
    List<Post> posts = [];
    for (int i = 0; i < model.posts.length; i++) {
      posts.add(Post(model: model.posts[i]));
    }

    return Row(
      mainAxisAlignment: MainAxisAlignment.center,
      children: [
        Padding(
          padding: const EdgeInsets.all(4),
          child: Container(
            padding: const EdgeInsets.all(24),
            width: MediaQuery.of(context).size.width / 1.2,
            constraints: const BoxConstraints(maxWidth: 1000, minWidth: 375),
            decoration: BoxDecoration(
              color: Theme.of(context).colorScheme.surface,
              border:
                  Border.all(color: Theme.of(context).colorScheme.secondary),
              borderRadius: BorderRadius.circular(8),
            ),
            child: Column(
              children: posts,
            ),
          ),
        ),
      ],
    );
  }
}
